Kerbal Space Program - Bug #26339

Pe marker in wrong place on hyperbolic orbits if Tracking Center not upgraded.
10/22/2020 08:48 PM - Dunbaratu

Status: Resolved Start date: 10/22/2020
Severity: Low % Done: 100%
Assignee:

Category: Map and Planetarium

Target version: 1.12.0

Version: 1.10.1 Language: English (US)
Platform: OSX, Windows Mod Related: No
Expansion: Core Game

Description

To reproduce the problem:
e Be playing a career game in which the Tracking Center is at the beginning level (no upgrades yet).
¢ Be on a hyperbolic orbit patch.
e Look at the map view.

Reliably, every time, in the above situation the map draws the Pe marker all wrong, off in space somewhere not even on the orbit line
at all.

| will upload a screenshot below.

| could see maybe an argument that the player isn't supposed to see this information until the tracking center is upgraded, but that
seems like an unlikely explanation for two reasons:

1. It works fine on elliptical orbits. It's only wrong on hyperbolic ones.
2. If that was the reason, then the Pe should be not shown at all, rather than being there but what's there is a lie.

History

#1 - 11/28/2020 08:27 PM - 18Watt

- Status changed from New to Confirmed
- % Done changed from 0 to 10

- Platform OSX added

Confirmed on OSX. PE marker is not placed correctly with Hyperbolic orbits, with basic level Tracking Station. Same results both on a departing
trajectory and arriving trajectory.

The PE value was correct though.
#3 - 06/24/2021 10:37 PM - victorr
- Status changed from Confirmed to Ready to Test

- Target version setto 1.12.0

- % Done changed from 10 to 80

We have made some changes in this last 1.12.0 release and would like some feedback on this issue. Thanks.

#4 - 08/11/2021 02:53 PM - Technicalfool
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100
